Authentication
Administrator. Session/administrative writes are not executed in the public Playground.
Endpoint
curl --request GET 'https://api.oneaster.ai/core/v1/admin/channels/1/credentials/history' \ --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN"
Parameters
- id (path, Required): {"type":"string","pattern":"^[0-9]+$"}
- page (query, Optional): {"type":"integer","minimum":1,"maximum":1000000,"default":1}
- size (query, Optional): {"type":"integer","minimum":1,"maximum":100,"default":20}
Responses
200
凭据版本历史;不保存或返回旧秘密
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": true
},
"data": {
"type": "object",
"additionalProperties": false,
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"provider_id": {
"type": "string",
"pattern": "^[0-9]+$"
},
"version": {
"type": "integer",
"minimum": 0
},
"actor_id": {
"anyOf": [
{
"type": "string",
"pattern": "^[0-9]+$"
},
{
"type": "null"
}
]
},
"reference": {
"type": "string"
},
"operation_key": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"created_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"provider_id",
"version",
"actor_id",
"reference",
"operation_key",
"created_at"
]
}
},
"total": {
"type": "string",
"pattern": "^[0-9]+$"
},
"page": {
"type": "integer",
"minimum": 0
},
"size": {
"type": "integer",
"minimum": 0
}
},
"required": [
"items",
"total",
"page",
"size"
]
}
},
"required": [
"success",
"data"
]
}
}
}
default
错误代码见 core-api.md;供应商/数据库错误已隐藏。
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": false
},
"error": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"type": {
"const": "oneaster_error"
}
},
"required": [
"code",
"message",
"type"
]
},
"data": {
"type": "null"
}
},
"required": [
"success",
"error",
"data"
]
}
}
}